@integrate.pro
@hunt.pro

function tausurf,rho,r,kappa
nr=n_elements(r)
nt=n_elements(rho[0,*])
rtau=dblarr(nt)
for it=0,nt-1 do begin
   tau=integrate(r,rho[*,it]*kappa,/prim)
   hunt,tau,1.0,ir,eps
   if ir ge nr-1 then begin
      rtau[it]=1d99 
   endif else begin
      rtau[it]=r[ir]+eps*(r[ir+1]-r[ir])
   endelse
endfor
return,rtau
end
