c
c     Global arrays for the quantum-heated grains
c
      common/miqu/miquant,emisquant
      doubleprecision miquant(FRSIZE_FREQ,FRSIZE_Y_SMALL,FRSIZE_X)
      doubleprecision emisquant(FRSIZE_FREQ,FRSIZE_Y_SMALL,FRSIZE_X)
c
c     Temperature grid
c
      common/temp/tempgrid,cooltime,qcool,cv
      doubleprecision tempgrid(QUANTUM_NTEMP)
      doubleprecision cooltime(QUANTUM_NTEMP)
      doubleprecision qcool(QUANTUM_NTEMP)
      doubleprecision cv(QUANTUM_NTEMP)
      common/itemp/ntempgrid
      integer ntempgrid
c
c     Emissivity grid
c     
      common/emiss/emistemp
      doubleprecision emistemp(FRSIZE_FREQ,QUANTUM_NTEMP)
c
c     Response matrix (=emissivity matrix)
c     
      common/response/response
      doubleprecision response(FRSIZE_FREQ,FRSIZE_FREQ)
c
c     Heat-content grid
c
      common/heat/heatcontent
      doubleprecision heatcontent(QUANTUM_NTEMP)
c
c     Peak temperatures
c
      common/peak/peak_temp,peak_eps
      doubleprecision peak_temp(FRSIZE_FREQ)
      doubleprecision peak_eps(FRSIZE_FREQ)
      common/ipeak/peak_itemp
      integer peak_itemp(FRSIZE_FREQ)
c
c     PAH Destruction rate
c     
      common/pahdestr/pahdes_rate
      doubleprecision pahdes_rate(FRSIZE_FREQ)
c
c     Information for the user
c
      common/quantinfo/peak_temp_store,cooltime_store,
     %                 pahdes_time_store
      doubleprecision peak_temp_store(FRSIZE_FREQ,DUST_SPECIES_MAX)
      doubleprecision cooltime_store(QUANTUM_NTEMP,DUST_SPECIES_MAX)
      doubleprecision pahdes_time_store(DUST_SPECIES_MAX,
     %                            FRSIZE_Y_SMALL,FRSIZE_X)
