c     --------------------------------------------------------------
c         THE GLOBAL SPATIAL AND ANGULAR GRIDDING FOR TRANSFER
c     --------------------------------------------------------------
c
c     >>>>  Spatial grid  <<<<
c
      common/irsi/irsi_place,irsi_frsizex,irsi_frsizey,
     %           irsi_inp,irsi_ibnp
      integer irsi_place,irsi_frsizex,irsi_frsizey
      integer irsi_inp,irsi_ibnp
      dimension irsi_place(0:3)
c
      common/rsi/rsi_x_c,rsi_dx_c,rsi_x_i,rsi_dx_i,
     %          rsi_dx_cil,rsi_dx_cir
      doubleprecision rsi_x_c,rsi_dx_c,rsi_x_i,rsi_dx_i
      doubleprecision rsi_dx_cil,rsi_dx_cir
      dimension rsi_x_c(-1:FRSIZE_MAX+2,1:2)
      dimension rsi_dx_c(-1:FRSIZE_MAX+2,1:2)
      dimension rsi_x_i(-1:FRSIZE_MAX+2,1:2)
      dimension rsi_dx_i(-1:FRSIZE_MAX+2,1:2)
      dimension rsi_dx_cil(-1:FRSIZE_MAX+2,1:2)
      dimension rsi_dx_cir(-1:FRSIZE_MAX+2,1:2)
c
c     >>>>  Frequency grid <<<<
c
      common/frequencies/freq_nu
      doubleprecision freq_nu
      dimension freq_nu(1:FRSIZE_FREQ)
      common/ifrequencies/freq_nr    !,freq_grid_type
      integer freq_nr    !,freq_grid_type
c
c     >>>>  Global spacegrid info  <<<<
c
      common/spacegrid/spacegrid_metric,
     %    spacegrid_type_x,spacegrid_type_y
      character spacegrid_metric
      character spacegrid_type_x,spacegrid_type_y
      common/cspacegrid/spacegrid_dxi,spacegrid_xi,
     %       spacegrid_xo,spacegrid_equator_eps,
     %       spacegrid_refine_a,spacegrid_refine_thetar,
     %       spacegrid_dxixi
      doubleprecision spacegrid_dxi,spacegrid_xi,
     %       spacegrid_xo,spacegrid_equator_eps,
     %       spacegrid_refine_a,spacegrid_refine_thetar,
     %       spacegrid_dxixi
      common/ispacegrid/spacegrid_refine_n,spacegrid_radius_read,
     %                  spacegrid_theta_read
      integer spacegrid_refine_n,spacegrid_radius_read,
     %                  spacegrid_theta_read
c
      common/reindex/ridx_it,ridx_ready
      integer ridx_it,ridx_ready
      dimension ridx_it(-4:FRSIZE_Y+4)
c
